umbrello: Settings::CodeGenerationState Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
Settings::CodeGenerationState Class Reference

`#include <optionstate.h>`

## Classes
class | CPPCodeGenerationState
class | DCodeGenerationState
class | JavaCodeGenerationState
class | RubyCodeGenerationState

## Public Member Functions
| CodeGenerationState ()
void | load ()
void | save ()

## Public Attributes
bool | autoGenEmptyConstructors
CodeGenerationPolicy::CommentStyle | commentStyle
Uml::Visibility::Enum | defaultAssocFieldScope
Uml::Visibility::Enum | defaultAttributeAccessorScope
bool | forceDoc
CodeGenerationPolicy::WriteSectionCommentsPolicy | writeSectionComments
QDir | headingsDirectory
bool | includeHeadings
int | indentationAmount
CodeGenerationPolicy::IndentationType | indentationType
CodeGenerationPolicy::NewLineType | lineEndingType
CodeGenerationPolicy::ModifyNamePolicy | modnamePolicy
QDir | outputDirectory
CodeGenerationPolicy::OverwritePolicy | overwritePolicy
CPPCodeGenerationState | cppCodeGenerationState
DCodeGenerationState | dCodeGenerationState
JavaCodeGenerationState | javaCodeGenerationState
RubyCodeGenerationState | rubyCodeGenerationState

## Constructor & Destructor Documentation

## ◆ CodeGenerationState()

Settings::CodeGenerationState::CodeGenerationState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::CodeGenerationState::load | ( |  | ) |

## ◆ save()

void Settings::CodeGenerationState::save | ( |  | ) |

## Member Data Documentation

## ◆ autoGenEmptyConstructors

bool Settings::CodeGenerationState::autoGenEmptyConstructors

## ◆ commentStyle

CodeGenerationPolicy::CommentStyle Settings::CodeGenerationState::commentStyle

## ◆ cppCodeGenerationState

CPPCodeGenerationState Settings::CodeGenerationState::cppCodeGenerationState

## ◆ dCodeGenerationState

DCodeGenerationState Settings::CodeGenerationState::dCodeGenerationState

## ◆ defaultAssocFieldScope

Uml::Visibility::Enum Settings::CodeGenerationState::defaultAssocFieldScope

## ◆ defaultAttributeAccessorScope

Uml::Visibility::Enum Settings::CodeGenerationState::defaultAttributeAccessorScope

## ◆ forceDoc

bool Settings::CodeGenerationState::forceDoc

## ◆ headingsDirectory

QDir Settings::CodeGenerationState::headingsDirectory

## ◆ includeHeadings

bool Settings::CodeGenerationState::includeHeadings

## ◆ indentationAmount

int Settings::CodeGenerationState::indentationAmount

## ◆ indentationType

CodeGenerationPolicy::IndentationType Settings::CodeGenerationState::indentationType

## ◆ javaCodeGenerationState

JavaCodeGenerationState Settings::CodeGenerationState::javaCodeGenerationState

## ◆ lineEndingType

CodeGenerationPolicy::NewLineType Settings::CodeGenerationState::lineEndingType

## ◆ modnamePolicy

CodeGenerationPolicy::ModifyNamePolicy Settings::CodeGenerationState::modnamePolicy

## ◆ outputDirectory

QDir Settings::CodeGenerationState::outputDirectory

## ◆ overwritePolicy

CodeGenerationPolicy::OverwritePolicy Settings::CodeGenerationState::overwritePolicy

## ◆ rubyCodeGenerationState

RubyCodeGenerationState Settings::CodeGenerationState::rubyCodeGenerationState

## ◆ writeSectionComments

CodeGenerationPolicy::WriteSectionCommentsPolicy Settings::CodeGenerationState::writeSectionComments

The documentation for this class was generated from the following files:

- umbrello/optionstate.h
- umbrello/optionstate.cpp